071016_M.Bearak_RandomGrowth

sstower-growth12.jpgOption Explicit
‘Script written by mark bearak
‘Script copyrighted by dtls.architecture
‘Script version Wednesday, October 03, 2007 12:27:33 PM

Call Main()
Sub Main()
Dim i, IntUpper : IntUpper = 100
Dim arrMajorPointa()
Dim arrMajorPointb()
Dim arrMajorPointc()
Dim arrMajorCross()
For i = 0 To IntUpper
ReDim Preserve arrMajorPointa(IntUpper)
ReDim Preserve arrMajorPointb(IntUpper)
ReDim Preserve arrMajorPointc(IntUpper)
ReDim Preserve arrMajorCross(IntUpper)
Dim dblSin : dblSin = (Sin(i/12)*3)
arrMajorPointa(i) = Rhino.PointCoordinates (Rhino.AddPoint (array(dblSin+(sin(i/6))/2,(sin(i/8))/4+1,i)))
arrMajorPointb(i) = Rhino.PointCoordinates (Rhino.AddPoint (array(dblSin+(sin(i/6))/2+.5,0,i)))
arrMajorPointc(i) = Rhino.PointCoordinates (Rhino.AddPoint (array(dblSin+(((sin(i/6))/2)*-1)-.5,0,i)))
arrMajorCross(i) = Rhino.AddInterpCurve (array(arrMajorPointa(i),arrMajorPointb(i),arrMajorPointc(i),arrMajorPointa(i)))
Next
Call Rhino.AddLoftSrf (arrMajorCross)
End Sub

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s